﻿using GrapeCity.Windows.SpreadSheet.Data;
using GrapeCity.Windows.SpreadSheet.UI;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;

namespace SpreadCellFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
            ContextMenu contextMenu = new ContextMenu();
            MenuItem menuItem = new MenuItem() { Header = "Add" };
            menuItem.Click += MenuItem_Click;
            contextMenu.Items.Add(menuItem);
            spread.ContextMenu = contextMenu;
            EventManager.RegisterClassHandler(
                    typeof(EditingElement),
                    EditingElement.ContextMenuOpeningEvent,
                    new ContextMenuEventHandler(EditingElement_ContextMenuOpening),
                    true);
        }

        private void EditingElement_ContextMenuOpening(object sender, ContextMenuEventArgs e)
        {
            var shiftF10 = Keyboard.Modifiers == ModifierKeys.Shift &&
                           Keyboard.IsKeyDown(Key.F10);
            if (shiftF10)
            {
                e.Handled = true;
                spread.ContextMenu.IsOpen = true;
            }
        }
        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            
        }
    }
}
